Package owl.run.modules

## Enum OwlModuleRegistry.Type

- java.lang.Object
- - java.lang.Enum<OwlModuleRegistry.Type>
  - - owl.run.modules.OwlModuleRegistry.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<OwlModuleRegistry.Type>`
  Enclosing class:
    OwlModuleRegistry

      public static enum OwlModuleRegistry.Type
      extends Enum<OwlModuleRegistry.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `READER` |
    `TRANSFORMER` |
    `WRITER` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `name` |
    `Class<?>` | `typeClass` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OwlModuleRegistry.Type` | `of​(OwlModuleParser<?> object)` |
    `static OwlModuleRegistry.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static OwlModuleRegistry.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READER

          public static final OwlModuleRegistry.Type READER

    - #### WRITER

          public static final OwlModuleRegistry.Type WRITER

    - #### TRANSFORMER

          public static final OwlModuleRegistry.Type TRANSFORMER

  - ### Field Detail

    - #### typeClass

          public final Class<?> typeClass

    - #### name

          public final String name

  - ### Method Detail

    - #### values

          public static OwlModuleRegistry.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OwlModuleRegistry.Type c : OwlModuleRegistry.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OwlModuleRegistry.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static OwlModuleRegistry.Type of​(OwlModuleParser<?> object)